Debian Bug report logs - #316436
mozilla-firefox: firefox should honor /etc/ssl/certs/

version graph

Package: nss; Maintainer for nss is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>;

Reported by: Peter Palfrader <weasel@debian.org>

Date: Thu, 30 Jun 2005 22:03:04 UTC

Severity: wishlist

Tags: upstream

Merged with 405446

Found in version nss/3.13.3-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#316436; Package mozilla-firefox. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mozilla-firefox: firefox should honor /etc/ssl/certs/
Date: Thu, 30 Jun 2005 23:47:12 +0200
Package: mozilla-firefox
Version: 1.0.4-3
Severity: normal

Hi,

as a site admin I tend to place my local root certificate in
/etc/ssl/certs on all my systems.  wget and w3m use this directory and
now accept certs signed by my CA without checking back with the user.

I think firefox too should accept certificates placed by the admin in
/etc/ssl/certs.

Ideally it would use those exclusively.  If the admin wants they can
still install ca-certificates to get all the silly certs by the big
ssl cert businesses.

-- 
Peter



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#316436; Package mozilla-firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 316436@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Peter Palfrader <weasel@debian.org>, 316436@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#316436: mozilla-firefox: firefox should honor /etc/ssl/certs/
Date: Sun, 17 Jul 2005 02:24:43 -0400
[Message part 1 (text/plain, inline)]
severity 316436 wishlist
thanks

* Peter Palfrader (weasel@debian.org) wrote:
> Package: mozilla-firefox
> Version: 1.0.4-3
> Severity: normal
> 
> Hi,
> 
> as a site admin I tend to place my local root certificate in
> /etc/ssl/certs on all my systems.  wget and w3m use this directory and
> now accept certs signed by my CA without checking back with the user.
> 
> I think firefox too should accept certificates placed by the admin in
> /etc/ssl/certs.
> 
> Ideally it would use those exclusively.  If the admin wants they can
> still install ca-certificates to get all the silly certs by the big
> ssl cert businesses.

I strongly agree. Unfortunately Mozilla doesn't use openssl (or
gnutls), it uses nss which is from my understanding somewhat old and
crufty. So it would likely be a bit of an undertaking. I would hope
someone would step up to bat and add something like this, or port the
whole thing to something like openssl. 
 

-- 
Eric Dorland <eric.dorland@mail.mcgill.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Severity set to `wishlist'. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `mozilla-firefox' to `firefox'. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#316436; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <peter@palfrader.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #19 received at 316436@bugs.debian.org (full text, mbox):

From: Peter Palfrader <peter@palfrader.org>
To: Dane Miller <dane@olneyfriends.org>
Cc: 316436@bugs.debian.org
Subject: Re: debian bug - firefox should honor /etc/ssl/certs/
Date: Sat, 11 Mar 2006 21:46:24 +0100
On Sat, 11 Mar 2006, Dane Miller wrote:

> Hi Peter,
> I found your debian bug (316436) when researching solutions to the problem of
> adding  root certificates to firefox.  Like you, I was disappointed to learn
> that firefox does not honor /etc/ssl/certs.
> 
> Have you found a solution/work around?  How do you manage certs for your firefox
> users?

No, I'm still waiting for that bug to be resolved.  :(

-- 
 PGP signed and encrypted  |  .''`.  ** Debian GNU/Linux **
    messages preferred.    | : :' :      The  universal
                           | `. `'      Operating System
 http://www.palfrader.org/ |   `-    http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#316436; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #24 received at 316436@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Peter Palfrader <peter@palfrader.org>, 316436@bugs.debian.org
Subject: Re: Bug#316436: debian bug - firefox should honor /etc/ssl/certs/
Date: Sat, 11 Mar 2006 22:32:38 +0100
On Sat, Mar 11, 2006 at 09:46:24PM +0100, Peter Palfrader <peter@palfrader.org> wrote:
> On Sat, 11 Mar 2006, Dane Miller wrote:
> 
> > Hi Peter,
> > I found your debian bug (316436) when researching solutions to the problem of
> > adding  root certificates to firefox.  Like you, I was disappointed to learn
> > that firefox does not honor /etc/ssl/certs.
> > 
> > Have you found a solution/work around?  How do you manage certs for your firefox
> > users?
> 
> No, I'm still waiting for that bug to be resolved.  :(

You have to thank the mozilla guys for their ssl solution based on a .so
file. Yep, root certificates are in /usr/lib/firefox/libnssckbi.so.

Mike



Bug reassigned from package `firefox' to `iceweasel'. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 316436 405446. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package 'iceweasel' to 'nss'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 24 Dec 2009 14:39:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions iceweasel/2.0.0.1+dfsg-1. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 24 Dec 2009 14:39:07 GMT) Full text and rfc822 format available.

Added indication that 316436 affects iceape, iceweasel, and xulrunner Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 24 Dec 2009 14:39:07 GMT) Full text and rfc822 format available.

Marked as found in versions nss/3.13.3-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 20 Mar 2012 19:36:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 20 Mar 2012 19:36:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:05:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.